**`Chitesh Kumar`[NAME]** -NL- Newark, Delaware, US -NL- **`chitesh2001@gmail.com`[EMAILS_EMAIL]** -NL- Phone: **`+1 302 250 0705`[PHONES_PHONE]** -NL- **`Experience Summary:`[SUMMARY_HEADING]** -NL- An accomplished Senior Java /Middleware Developer, specializing in Java / J2EE/ Micro Services based -NL- Application Design & Development with 13 plus years of experience working in multiple domains such as -NL- Investment Banking, Child Care, Online Media Monitoring, Shipping, developed projects using Agile and -NL- Waterfall development methodologies with roles & responsibilities have included Analysis, Design, -NL- Development & Deployment, Support and Testing. -NL-  Having UK Tier 2 general dependent visa (valid until August’ 2022) and can work in UK without any -NL- sponsorship requirement. -NL-  13+ years of experience in Java J2EE based Technologies in Investment Banking, Child Care, Online -NL- Media Monitoring, Shipping domain. -NL-  ~6 Years of UK onshore experience -NL-  10+ years of experience working with Spring Framework – Boot, IOC, REST, Integration, Transaction, -NL- Cloud Config (server & client) with Hibernate ORM and Struts. -NL-  6 years’ experience working on JMS using IBM MQ and QPID broker. -NL-  5+ years of experience in SOA with designing, developing the services. -NL-  5+ years of in front end development with skills such as Spring MVC, Struts Framework, JSP, CSS2, -NL- JavaScript, Node.js, JQuery and Servlets. -NL-  5+ years of working experience on Agile methodologies like SCRUM/KANBAN/TDD/BDD. -NL-  3+ year experience in microservices development in Spring Boot and deployed on private cloud using -NL- Spring Cloud Foundry. -NL-  2 Years of Dev Ops experience CI/CD using Jules (Internal JP Morgan tool using -NL- Jenkin/Sonar/Blackduck/StaticScan/Deployment/etc) -NL-  1 Year experience using various open tool such as Netflix Eureka Circuit Breaker and Zuul, -NL-  Proficiency at various levels viz., association with end-users for requirements analysis, defining system -NL- scope, development, testing, user acceptance, and documentation -NL-  Having Master’s in Computer Application -NL- **`Technical Skill:`[SKILLS_HEADING]** -NL- Java core concepts (1.8), Multithreading, Annotations, collection -NL- **`Programming Languages`[OTHERS_HEADING]** -NL- framework, serialization etc. ReactJs, Freemarker, Servlets, JSP, XML, -NL- / Technologies -NL- XSL, HTML, JMS -NL- Platforms -NL- Unix, Linux, Windows -NL- Databases / Database -NL- Oracle, MySQL, MarkLogic, HSQL -NL- connectivity -NL- Spring, RESTful services, Struts, Hibernate (core APIs, Annotations, -NL- Java / JEE Frame Works caching, transaction management), Swagger, Liquibase, Easy Mock, -NL- Mockito, JUnits and TestNG. -NL- Design/Development/ Visio, IntelliJ, Eclipse, JUnit, CVS/SVN, Toad, Maven, Gradle, GIT / -NL- Build Tools -NL- BitBucket. -NL- Design Concepts / -NL- MVC, Design Patterns (Java and J2EE), Water fall model, Iterative model, -NL- Software development -NL- pair programming, Agile-SCRUM, BDD (Cucumber) and TDD. -NL- processes -NL- Caching Technologies In Memory Cache, Hibernate Cache and Coherence. -NL- Spring Cloud, Pivotal Cloud Foundry, Netflix Eureka Circuit Breaker and -NL- Tools -NL- Zuul -NL- JMS -NL- IBM MQ, QPID Broker -NL- **`Work Experience:`[WORK_EXPERIENCE_HEADING]** -NL- 1. **`Tech Lead`[EMPLOYER_ROLE]** – **`Accenture`[EMPLOYER_COMPANY_NAME]**, Client – JP Morgan Chase -NL- Work location – Bournemouth, UK / Newark, Delaware, US -NL- June 2013 – Present -NL- Project: Derivatives Core Processing Platform (DCPP) -NL- Derivatives Core Processing Platform (DCPP) is a group of application/component that handles the -NL- post trade processing in terms of Affirmation and Settlement of a trade. -NL-  Reference Data Service [RDS]: Group of microservices deployed on private cloud using Spring -NL- Cloud Foundry. It provides the reference data required to process the Affirmation/Confirmation -NL- of a trade in DCPP applications. -NL- Technology – Core Java (1.8), Spring – IOC/Boot/Transaction/ REST, JMS (IBM MQ & QPID -NL- Broker), Zuul, Circuit Breaker, JPA, Hibernate, Swagger, Lombok, Cucumber, RestAssured, -NL- Assertj, Gradle, Spring Cloud Foundry. CI/CD and Artifacts deployed on GAIA (Private Cloud JP -NL- Morgan) using Pivotal Cloud Foundry. -NL-  Affirmation [Affirms]: A back office system that generates and transmit the trade -NL- affirmation/confirmation between JPMC and a counter party via Paper or Electronic mode. -NL- Technology – Core Java (1.7), Spring – IOC/Integration, JBPM, Freemarker, XQuery, Marklogic, -NL- Maven. -NL-  Foreign Exchange End to End [FXE2E]: The basic backbone of the payment system to transfer -NL- funds from one currency to any other currency across the globe, using existing Nostro accounts -NL- and currency intermediation using a “follow the sun” model (Tokyo > London > New York). This -NL- helps bank to manage Notro accounts only at three places as compared to having across the -NL- globe and helps saving cost. -NL- Technology – Core Java (1.7), Spring – IOC/Integration, XQuery, Marklogic, Maven. -NL-  Foreign Exchange Payment Manager [FXPM]: A payment system to handles transferring funds -NL- from US to any other currency across the globe. -NL- Technology – Core Java (1.7), Spring – IOC/Integration, JBPM, Freemarker, XQuery, Marklogic, -NL- Maven. -NL- Roles and Responsibility: -NL-  As a **`Tech Lead`[EMPLOYER_ROLE]**/Senior feature team member, involved in all the phases of software -NL- development starting with Requirements gathering, Analysis, Design, Implementation, -NL- Testing, Deployment, Support and Documentation. -NL-  Developed Microservices using Java 8(Lambdas, streams etc), JMS, Spring boot, Spring -NL- Security, Spring Cloud and Netflix Eureka and Zuul. -NL-  Designing Oracle database schema and creating DDLs using Liquibase. -NL-  Designed and developed RESTful web services. -NL-  Used TDD to write unit test cases using Mockito and integration test cases using Spring test -NL- and HSQLDB. -NL-  Implemented second level cache (EH cache) to cache all the reference data in the project to -NL- improve the performance. -NL-  Code review and assist team members in handling highly complex technical request and -NL- managing deliverables in absence of Pod Lead. -NL-  Provided SME support for various functionalities & prod issues. -NL-  Created multiple tool that is being used by AD/QA/BA in a day to day activity. -NL- 2. **`Lead Java Developer `[EMPLOYER_ROLE]**– **`Accenture`[EMPLOYER_COMPANY_NAME]**, Client – JP Morgan Chase -NL- Work location – Mumbai, India -NL- March 2011 – May 2013 -NL- Project: Transaction Fee Processing Platform (TFPP) - Fees & Commission -NL- Transaction Fees Processing Platform (TFPP) is one of the key programs of the Platform Evolution for -NL- F&O Clearing. Involves building STP platform for Brokerage Processing, Rates, Fees and Commission. -NL- Fees and Commission provides a GUI to allow users from all business areas to access and maintain -NL- commission and fee data. The system also provides complete management of exchange-based fees -NL- and levies. -NL- Technology –Java/J2EE (JSP, Servlets), Spring-MVC, Hibernate, Spring, XML, XSLT, DWR, JQuery, -NL- Maven, JUNIT, Tomcat 6 and Oracle, Unix -NL- Roles and Responsibility: -NL-  Acted as lead developer for the Fees & Commission -NL-  Was involved in creating prototype at the requirement gathering phase. -NL-  Participating in the Requirements Gathering and Analysis for new project and coding and -NL- implementing them using Java/J2EE -NL-  Reviewing code for functionality & ensuring the adherence to appropriate coding standards. -NL-  Assist team members in handling highly complex technical request -NL-  Worked on the Fee Batch module and improved the performance byfine tuning the code and -NL- brought down the processingtime from ~18 hrs (and in some cases ~2 days) to 3 hrs. -NL-  Worked onflex UI to create a prototype that was presented to business for demo -NL- 3. **`Lead Java Developer`[EMPLOYER_ROLE]** – **`HCL Tech`[EMPLOYER_COMPANY_NAME]**, Client – Govt of US -NL- Work location – Gurgaon, India -NL- July 2010 – Feb 2011 -NL- Project: IGCC Security Application -NL- IGCC Security Application is a web-based application to provide backend interface to manage -NL- database required by an existing application running for Child Care application for the state of -NL- Nevada, U.S. -NL- The main aim for developing this application is to restrict user from directly manipulating data from -NL- database. -NL- Technology – J2EE (JSP, Servlets), Spring-MVC, Sitemesh, Hibernate, Spring, Soap based Web Service, -NL- Websphere Application Server-7, DB2 -NL- Roles and Responsibility: -NL-  Interacting with business to gather information. -NL-  Involved in coding. -NL-  Provided necessary business information to the team members and code review. -NL-  Involved in designing, development and Unit testing. -NL- 4. **`Senior Java Developer`[EMPLOYER_ROLE]** – **`A3Logics Inc`[EMPLOYER_COMPANY_NAME]**, Client – Meltwater Group, U.S -NL- Work location – Jaipur, India / San Francisco, US -NL- March 2009 – June 2010 -NL- Project: Mnews 2.0 -NL- Mnews 2.0 is an online media monitoring tool, which runs on crawlers and helps Organization track -NL- information about them. This tool monitors tens of thousands of media outlets, bloggers, and other -NL- online influencers. With the ever-increasing amount of information published online, targeted and -NL- relevant information facilitates in making the right business decisions. -NL- This tool is basically used by the customer of Meltwater to configure the setting about what -NL- information they want. They can configure the keywords and then based on that if there is any article -NL- or bloggers comes, they read them as well as can configure to get them by Mails. The system also -NL- provides the user to configure their mailtimings also. -NL- Technology – J2EE (JSP, Servlets), Spring-MVC, Sitemesh, Hibernate, Spring, Tomcat 6.0, MySql, -NL- Restful Web Service -NL- Roles and Responsibility: -NL-  Interacting with client to understand the functional requirements -NL-  Involved in coding. -NL-  Provided necessary business information to the team members -NL-  Involved in designing, development and Unit testing. -NL-  Involved in Bug Fixing and deployment of the patches. -NL- 5. **`Senior Java Developer`[EMPLOYER_ROLE]** – **`A3Logics Inc`[EMPLOYER_COMPANY_NAME]**, Client – Meltwater Group, U.S -NL- Work location – Jaipur, India / San Francisco, US -NL- July 2008 – February 2009 -NL- Project: Mnews Admin -NL- Mnews Admin is the internal customised CRM for the Mnews2.0 application, developed for the Sales -NL- Team and the higher management to keep track of all the sales, invoice and customer related -NL- activities. Using this, the sales team can track down their target as well as the management can view -NL- different reports. -NL- This application was already made in perl. We started to develop the same thing in Java with some -NL- additional functionality. -NL- Technology – J2EE (Freemarker Template, Servlets), Spring MVC, Hibernate 3.0, Tomcat 6.0, MySql -NL- Roles and Responsibility: -NL-  Interacting with client to understand the functional requirements -NL-  Provided necessary business information to the team members -NL-  Involved in designing, development and Unit testing. -NL-  Involved in Bug Fixing and deployment of the patches. -NL- 6. **`Java Developer`[EMPLOYER_ROLE]** – **`A3Logics Inc`[EMPLOYER_COMPANY_NAME]**, Client – International Asset System, U.S -NL- Work location – Jaipur, India -NL- July 2007 – June 2008 -NL- Project: Lease Management System -NL- Lease Management System (LMS) is web-based B2B EDI based application designed to meet GE’s (our -NL- client’s client) Equipment Leasing and Management requirement. The application covers all phases of -NL- Equipment starting from its procurement to sale including lease and repair maintenance. -NL- LMS helps GE to automate their current process and will act as a central repository to control and -NL- manage their equipment’s. Application supports EDI integration, which makes it easier for them to -NL- integrate with their client’s system. -NL- This Project was completed in two phases, -NL- First phase was the migration of existing application to Oracle 9i from SQL Server, IIS to Apache and -NL- Windows to Solaris. -NL- Second phase was focused on enhancing the application as per requirements of GE. -NL- Technology – JSP, Servlet, TLS (Keane Customised) framework (Just like Struts 1.2), EJB, Oracle 9i, -NL- Weblogic -NL- Roles and Responsibility: -NL-  Involved in the coding. -NL-  Unit and System testing. -NL-  Troubleshooting, research and development and performance optimization. -NL- 7. **`Java Developer`[EMPLOYER_ROLE]** – **`Intechsys`[EMPLOYER_COMPANY_NAME]**, Client – **`Intechsys`[EMPLOYER_COMPANY_NAME]** -NL- Work location – Bangalore, India -NL- December 2006 – June 2007 -NL- Project: Admanya Consumer Action -NL- Admanya deals with Indian consumer experiences. Consumer can read others experience and write -NL- own experience and feedback on a product/service available in the site. This site helps people when -NL- they want to purchase any goods and try tofind out the reviews before they do so. Comment and -NL- votes can be also put against any review. -NL- Technology – Jsp, Servlet, Struts 1.2, Hibernate, MySql, Tomcat -NL- Roles and Responsibility: -NL-  Involved in coding -NL-  Bugfixing and deployment. -NL- 